%define	desktop_vendor	atrpms

Summary: A free, powerful and easy to use remote security scanner
Name: nessus
Version: 2.2.11
Release: 27%{?dist}
Epoch: 1
License: GPL
Group: Applications/System
Source0: ftp://ftp.nessus.org/pub/nessus/nessus-%{version}/src/nessus-libraries-%{version}.tar.gz
Source1: ftp://ftp.nessus.org/pub/nessus/nessus-%{version}/src/libnasl-%{version}.tar.gz
Source2: ftp://ftp.nessus.org/pub/nessus/nessus-%{version}/src/nessus-core-%{version}.tar.gz
Source3: ftp://ftp.nessus.org/pub/nessus/nessus-%{version}/src/nessus-plugins-GPL-%{version}.tar.gz
Source5: nessusd.init
Source6: nessusd.users
Source7: nessusd.rules
Source8: nessusd.conf
Source9: faq.html
Source10: nessus.desktop
Patch0: nessus-libraries-2.0.9.krb5.patch
Patch1: libnasl-2.0.8-openssl-krb5.patch
Patch2: nessus-plugins-Makefile.patch
URL: http://www.nessus.org/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: autoconf213, flex, bison
BuildRequires: openssl-devel, krb5-devel
#
BuildRequires: perl, gtk2-devel, glib-devel, zlib-devel, nmap
BuildRequires: gmp-devel, desktop-file-utils
BuildRequires: tcp_wrappers-devel
Obsoletes: nessus-client < %{evr}, nessus-common < %{evr}
Obsoletes: nessus-libraries < %{evr}, libnessus < %{evr}
%lib_package nessus 2
%lib_package hosts_gatherer 2
%lib_package pcap-nessus 2
%lib_package nasl 2
%lib_dependencies

%description
Nessus is a free, up-to-date, and full featured remote security scanner for
Linux. It is multithreaded, plugin-based, has a nice GTK interface, and
currently performs 590 remote security checks. It has powerful reporting
capabilities (HTML, LaTeX, ASCII text) and not only points out problems,
but suggests a solution for each of them.

%devel_extra_Requires openssl-devel, krb5-devel
%devel_extra_Requires nessus-server = %{evr}
%devel_extra_Obsoletes libnessus-devel <= %{evr}, libnasl-devel <= %{evr}

%package -n nasl
Group: Development/Languages
Summary: Interpreter for the Nessus Attack scripting Language (nasl).
#Requires: openssl, libnessus >= %{eversion}

%description -n nasl
nasl is a script interpreter for the nasl language. nasl stands for
Nessus Attack Scripting Language. This is the standalone pendant to
Nessus linked in nasl support from the package libnasl.

%package server
Group: System Environment/Daemons
Summary: A free, powerful and easy to use remote security scanner.
Requires: zlib >= 1.1.3, nmap >= 2.53, wget
PreReq: /sbin/service, /sbin/chkconfig
Obsoletes: nessus-plugins <= %{evr}

%description server
Nessus is a free, up-to-date, and full featured remote security scanner for
Linux. It is multithreaded, plugin-based, has a nice GTK interface, and
currently performs 590 remote security checks. It has powerful reporting
capabilities (HTML, LaTeX, ASCII text) and not only points out problems,
but suggests a solution for each of them.

This is the server (daemon) that is used to perform the security checks.

%prep
%setup -q -c -T
%setup -q -T -D -a 0 -a 1 -a 2 -a 3
cd nessus-libraries
%patch0 -p1 -b .krb5
cd ..
%patch2 -p0 -b .ndir
installdir=`pwd`/install
mkdir -p $installdir{%{_includedir},%{_libdir},%{_bindir}}

%build
installdir=`pwd`/install
export CPATH=$installdir%{_includedir}/nessus:"$CPATH"
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$installdir%{_libdir}
export PATH=$PATH:$installdir%{_bindir}
export DESTDIR=$installdir
# Build nessus-libraries
cd nessus-libraries
autoconf-2.13
%configure \
  --enable-release \
  --enable-nessuspcap \
  --enable-cipher \
  --with-ssl \
  --enable-random
make
make install DESTDIR=$installdir incdir=%{_includedir}
mv $installdir%{_includedir}/nessus/includes.h $installdir%{_includedir}/nessus/libnessus-includes.h
perl -pi -e's,/lib,/%{_lib},g' $installdir%{_bindir}/nessus-config

cd ..

# Build libnasl
cd libnasl
%configure
make
make install DESTDIR=$installdir
cd ..

# Build nessus-core
cd nessus-core
%configure \
  --enable-release \
  --enable-syslog \
  --enable-tcpwrappers \
  --enable-save-sessions \
  --enable-save-kb \
  --enable-gtk \
  --enable-install=`%{__id} -un`
make
make install DESTDIR=$installdir
cd ..

# Build nessus-plugins
cd nessus-plugins
%configure \
  --enable-install=`%{__id} -un`
make
make install DESTDIR=$installdir

%install
rm -rf %{buildroot}
mkdir %{buildroot}

installdir=`pwd`/install
cp -a $installdir/* %{buildroot}/

# Nothing much to do since most file are installed after they're built
install -D -m 755 %{SOURCE5} %{buildroot}%{_sysconfdir}/init.d/nessusd
install -m 640 %{SOURCE6} %{SOURCE7} %{SOURCE8} %{buildroot}%{_sysconfdir}/nessus/
perl -pi -e 's|\@LIBDIR\@|'%{_libdir}'|' %{buildroot}%{_sysconfdir}/nessus/nessusd.conf
cp %{SOURCE9} .
mkdir -p %{buildroot}%{_sharedstatedir}/nessus/CA
mkdir -p %{buildroot}%{_localstatedir}/nessus/CA

mkdir -p %{buildroot}%{_datadir}/pixmaps
install nessus-core/nessus/xpm/nessus.xpm %{buildroot}%{_datadir}/pixmaps/

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  --add-category X-Red-Hat-Extra                \
  --add-category Application                    \
  --add-category Network                        \
  %{SOURCE10}

cd nessus-core/doc
rm -f *.8.in *.8 *.1.in *.1
cd ../..

cat > develfiles.list << EOF
%defattr(-,root,root,-)
%doc nessus-core/doc/nsr.dtd
%doc nessus-core/doc/nsr_file_format.txt
%{_bindir}/nessus-config
%{_mandir}/man1/nessus-config.1*
%{_bindir}/nasl-config
%{_mandir}/man1/nasl-config.1*
%{_bindir}/nessus-build
%{_mandir}/man1/nessus-build.1*
EOF

%clean
rm -rf %{buildroot}

%post server
/sbin/chkconfig --add nessusd
/sbin/ldconfig

%preun server
if [ $1 = 0 ]; then
	/sbin/service nessusd stop >/dev/null 2>&1 || :
	/sbin/chkconfig --del nessusd
fi

%postun server
/sbin/ldconfig
if [ $1 -ge 1 ]; then
	/sbin/service nessusd condrestart >/dev/null 2>&1 || :
fi

%files
%defattr(-, root, root)
%{_bindir}/nessus
%{_bindir}/nessus-mkcert-client
%{_mandir}/man1/nessus.1*
%{_mandir}/man1/nessus-mkcert-client.1*
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/nessus.xpm

%exclude %{_sbindir}/uninstall-nessus

%files -n nasl
%defattr(-,root,root,-)
%{_bindir}/nasl
%{_mandir}/man1/nasl.1*
# belongs to libnasl, libnasl is used by nessus-server and nasl
%{_localstatedir}/nessus

%files server
%defattr(-, root, root)
%doc nessus-core/doc/*
%attr(750, root, root) %dir %{_sysconfdir}/nessus
%config %{_sysconfdir}/nessus/nessusd.conf
%config(noreplace) %{_sysconfdir}/nessus/nessusd.rules
%config(noreplace) %{_sysconfdir}/nessus/nessusd.users
%{_sysconfdir}/init.d/nessusd
%{_libdir}/nessus
%{_sbindir}/nessus-adduser
%{_sbindir}/nessus-mkcert
%{_sbindir}/nessus-rmuser
%{_sbindir}/nessus-update-plugins
%{_sbindir}/nessusd
%{_sbindir}/nessus-check-signature
%{_bindir}/nessus-mkrand
%{_bindir}/nessus-fetch
%attr(750, root, root) %dir %{_sharedstatedir}/nessus
%attr(750, root, root) %dir %{_sharedstatedir}/nessus/CA
%attr(750, root, root) %dir %{_localstatedir}/nessus
%attr(750, root, root) %dir %{_localstatedir}/nessus/CA
%attr(750, root, root) %dir %{_localstatedir}/nessus/jobs
%attr(750, root, root) %dir %{_localstatedir}/nessus/logs
%attr(750, root, root) %dir %{_localstatedir}/nessus/users
%attr(750, root, root) %dir %{_localstatedir}/nessus/nessus-services
%{_mandir}/man1/nessus-mkrand.1*
%{_mandir}/man1/nessus-fetch.1*
%{_mandir}/man8/nessus-adduser.8*
%{_mandir}/man8/nessus-mkcert.8*
%{_mandir}/man8/nessus-rmuser.8*
%{_mandir}/man8/nessus-update-plugins.8*
%{_mandir}/man8/nessusd.8*
# belongs to libnasl, libnasl is used by nessus-server and nasl
%{_localstatedir}/nessus

%changelog
* Thu May  1 2008 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.2.11.

* Mon May 29 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.2.8.

* Tue Mar  7 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.2.7.

* Fri Nov 11 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.2.6.

* Sat Sep 17 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.2.5.

* Fri Dec 17 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.2.2a.

* Wed Nov  3 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.2.0.

* Wed Jul 21 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.0.12.

* Tue Jul 20 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.0.11.

* Fri Jan 23 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.0.10a.

* Fri Nov  7 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.0.9.

* Thu Oct  9 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.0.8a.

* Tue Oct  7 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.0.8.
- Removed tcpd patch (applied upstream).

* Thu Jul  3 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.0.7.
- Added patch for tcpd.

* Wed May 28 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Apply patch for nmap options.

* Sun Apr 20 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.0.4.

* Sun Apr  6 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.0.3.

* Sun Mar  1 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Fixed some dependencies.

* Fri Feb 28 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.0.1.
- Split into multiple src.rpms.

* Thu Jan 16 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.2.7.

* Thu Oct 10 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.2.6.

* Mon Oct  7 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.2.5.
- Rebuilt for Red Hat Linux 8.0.
- New menu icon.
- Updated the FAQ to the latest 1.5 version.
- Moved the nessus-mkcert-client from sbin to bin.

* Mon Aug 19 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.2.4.

* Thu Jun  6 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.2.1.

* Fri May  3 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.
- Added the %%{?_smp_mflags} expansion.

* Fri Apr 19 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.2.0, woohoo! :-)

* Mon Apr  8 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.14.

* Mon Jan 22 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.12 at last.

* Tue Nov  6 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.8.
- Added nessus-mkrand to the server's %files.

* Mon Oct 22 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.7.

- Update to 1.1.6.
* Sun Oct 21 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed the missing nessus-mkcert and CA dirs (thanks to Yosi Markovich).
- Now enabled syslog logging and tcp_wrappers.
- To rebuild this RPM, it seems that you now have to uninstall any older
  version from your system or else its libs will get found and things
  won't be as expected ;-)

* Tue Oct 16 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.6.
- Removed all the obsolete peks stuff from the spec.

* Sun Sep  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.4.

* Thu Aug  9 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.3... not released : Didn't compile.

* Fri Aug  3 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Simplifications on the spec file, there's always more!
- Enabled many of the nifty experimental features that exist :-)
- Put the nmap build requires back in : the plugins need it.
- Added a require for wget in the server to update the plugins.

* Tue Jul 31 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.2, nessus 1.2 ahead!
- Spec file cleanup, mostly %%configure macros working again.
- Moved the libs and man pages around to make a bit more sense.
- Changed the client's "Group:", bacause "Base" wasn't quite right.
- Switched the plugins <-> server dependency and added gmp.
- Merged the server and the plugins... should have done this before,
  it's been confusing the newbies for some time ;-)
- Added a GNOME menu entry for the GTK+ client.
- A few other tweaks...

* Thu May 31 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.8.

* Fri Apr 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.1.
- Updated the init script for 7.1 also.
- gunzip'ed and bzip2 -9'ed the tar sources to take less bandwith with
  the SRPM ;-)

* Fri Feb  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Complete rewrite of the spec file, a tough one! :-)
- Renamed the "nessus" package to "nessus-server"
- Update to 1.0.7a
- Changed the config files
- Etc. (so many changes!)

* Wed Nov 22 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- updated the spec file for RedHat 7.0, nessus 1.0.6
- redid the init script for RedHat 7.0

* Sun Sep 17 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.5

* Wed Aug 1 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.4

* Sat Jul 8 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.3 already

* Fri Jul 7 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.2 - 2

* Wed Jul 5 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.2

* Mon Jun 26 2000 Henri Gomez <hgomez@slib.fr>
- nessus 1.0.1

* Fri Apr 21 2000 Klaus Knopper <knopper@linuxtag.de>
- User-buildable RPM for 1.0.0pre2

* Sun Apr 16 2000 Renaud Deraison <deraison@cvs.nessus.org>
- nessus 1.0.0pre2

* Mon Apr 10 2000 Renaud Deraison <deraison@cvs.nessus.org>
- nessus 1.0.0pre1

* Thu Mar 30 2000 Renaud Deraison <deraison@cvs.nessus.org>
- fixed sysconfdir weirdnesses
- nessus 0.99.10

* Wed Mar 22 2000 Renaud Deraison <deraison@cvs.nessus.org>
- no patch to nessus-plugins
- nessus 0.99.9

* Mon Mar 20 2000 Renaud Deraison <deraison@cvs.nessus.org>
- nessus 0.99.8.1

* Sun Mar 19 2000 Renaud Deraison <deraison@cvs.nessus.org>
- gmp not needed
- removed the nasl_guide* files
- nessus 0.99.8

* Mon Feb 28 2000 Renaud Deraison <deraison@cvs.nessus.org>
- patch to nessus-core

* Sun Feb 27 2000 Renaud Deraison <deraison@cvs.nessus.org>
- nessus 0.99.6

* Fri Feb 18 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.5-1 R2
- patch nessus-libraries

* Thu Feb 17 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.5-1
- multiples corrections of 0.99.5

* Tue Feb 15 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.5
- /etc/nessusd/nessusd.conf change from 0.99.4 to 0.99.5

* Fri Jan 14 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.4
- the nessusd.rules (in /etc/nessus) is in accept by default now.

* Wed Jan  4 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.3
 
* Tue Dec 28 1999 Henri Gomez <gomez@slib.fr>
- nessus 0.99.2
- rework of RPM, reuse of crypto channels
- update faq/nasl files to latest versions from nessus.org
- nessus server init script (/etc/rc.d/init.d) renamed to nessusd
- prompt at install for creating initial account
  
* Wed Nov 3 1999 Henri Gomez <gomez@slib.fr>
- nessus 0.9.4
- added post 0.9.4 scripts (an_httpd_cgis, hotsync, rfpoison)
- changed nessusd.rules and nessusd.users to reflect format changes 

* Wed Oct 6 1999 Gomez Henri <gomez@slib.fr>
- nessus 0.9.3
- added mediahouse_statistics_server.nasl

* Wed Sep 22 1999 Ronan-Yan Lorin <ronan-yann.lorin@libertysurf.fr>
- nessus 0.9.2
- initial release
